Katello - Bug #7266

unable to add custom products[subscription] created to activation-key
08/26/2014 11:31 AM - Justin Sherrill

Status: Closed
Priority: High
Assignee: Justin Sherrill
Category:
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1131269 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/461
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1131269
Description of problem:

Unable to add products[subscriptions] created via Ul to activation-key.

Version-Release number of selected component (if applicable):
sat6-GA-snap5

How reproducible:

Steps to Reproduce:

1. create few prd & repos via cli

2. sync and promote

3. create few prd & repos via webui

4. sync and promote

5. observe that only those products created via cli, are now seen under subscriptions while adding subs to the aactivation-keys.

Actual results:
observe that only those products created via cli, are now seen under subscriptions while adding subs to the aactivation-keys.

Expected results:
there should be consistency between webui and CLI actions.
subscriptions created via webui should be visible no matter how the subscriptions[ here products] are created.

Additional info:

Associated revisions

Revision 7323c761 - 08/26/2014 11:54 AM - Justin Sherrill

fixes #7266 - specify time when creating new ulimited subscriptions

Revision 4ac9cf54 - 08/26/2014 02:06 PM - Justin Sherrill
Merge pull request #4612 from jIsherrill/7266

fixes #7266 - specify time when creating new ulimited subscriptions

History

#1 - 08/26/2014 11:52 AM - Justin Sherrill

- Status changed from New to Assigned

- translation missing: en.field_release set to 13
- Difficulty set to easy

- Triaged changed from No to Yes
#2 - 08/26/2014 11:54 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4612 added
- Pull request deleted ()

#3 - 08/26/2014 03:01 PM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|7323c761e7ac9e0eca27e930a13567¢132f40cal.

#4 - 08/27/2014 09:24 AM - Eric Helms

- Target version changed from 63 to 55
